@echo off
setlocal

if "%~0"=="REBUILD_N_OPEN_R.cmd" goto START
cls
echo REBUILD-N-OPEN (RELEASE):
echo ßßßßßßßßßßßßßßßßßßßßßßßßß

:START
call REBUILD_R.cmd
if %errorlevel% neq 0 goto FAILURE

echo.
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

call !OPEN_IN_BROWSER.cmd %*
if %errorlevel% neq 0 goto FAILURE

::==================================================================================================

:SUCCESS
if "%~0"=="REBUILD_N_OPEN_R.cmd" goto FINISH
echo.
echo ÜÜÜ REBUILD-N-OPEN (RELEASE) ÄÄ SUCCESS ÜÜÜ
goto FINISH

:FAILURE
if "%~0"=="REBUILD_N_OPEN_R.cmd" goto ERROR
echo.
echo ÜÜÜ ## REBUILD-N-OPEN (RELEASE) ÄÄ FAILURE ÜÜÜ
goto ERROR

::==================================================================================================
:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF
::==================================================================================================
:ERROR
if not "%~0"=="REBUILD_N_OPEN_R.cmd" (
echo 
if not "%$cmd_plain%"=="1" pause )
endlocal
verify # 2>nul
goto :EOF
:FINISH
if not "%~0"=="REBUILD_N_OPEN_R.cmd" if "%$cmd_plain%"=="1" echo.
endlocal
call :RESET_ERROR
goto :EOF
::==================================================================================================
